# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

Name:		koffice-l10n-ru
Summary:	Russian language support for Koffice
Version:    1.4.2
Release:    1mdk
Group:		System/Internationalization
License:	GPL
URL:		http://www.kde.org/
Icon:		kde-icon.xpm

Source:    %name-%version.tar.bz2

BuildRoot:	%_tmppath/koffice-l10n-ru-%version-%release-root
Requires:	locales-ru, koffice, spell-ru
BuildArch: 	noarch
Provides: 		koffice-i18n-ru

Obsoletes: 		koffice-i18n-ru
BuildRequires: gettext kdelibs texinfo arts-devel

%if %mdkversion >= 200600
Provides:	koffice-l10n
%endif
%if %mdkversion >= 200600
Provides:	koffice-l10n
%endif
%description


Russian language support for Koffice.

%prep
%setup -q



%build
%configure

%make


%install
rm -fr %buildroot
%makeinstall_std

rm -f %buildroot/%_datadir/locale/*/LC_MESSAGES/kdgantt.mo
%clean

rm -fr %buildroot


%files
%defattr(-,root,root,-)

%dir %_docdir/HTML/
%dir %_docdir/HTML/ru/
%dir %_docdir/HTML/ru/kpresenter/
%doc %_docdir/HTML/ru/kpresenter/*.docbook

%dir %_docdir/HTML/ru/kugar/
%doc %_docdir/HTML/ru/kugar/*.docbook

%dir %_docdir/HTML/ru/kword/
%doc %_docdir/HTML/ru/kword/*.docbook



%dir %_docdir/HTML/ru/kivio/
%doc %_docdir/HTML/ru/kivio/*.docbook

%dir %_docdir/HTML/ru/koshell/
%doc %_docdir/HTML/ru/koshell/common
%doc %_docdir/HTML/ru/koshell/*.bz2
%doc %_docdir/HTML/ru/koshell/*.docbook

%dir %_docdir/HTML/ru/thesaurus/
%doc %_docdir/HTML/ru/thesaurus/common
%doc %_docdir/HTML/ru/thesaurus/*.bz2
%doc %_docdir/HTML/ru/thesaurus/*.docbook



%doc %_docdir/HTML/ru/kchart/common
%doc %_docdir/HTML/ru/kchart/*.bz2
%doc %_docdir/HTML/ru/kchart/*.docbook

%doc %_docdir/HTML/ru/kformula/common
%doc %_docdir/HTML/ru/kformula/*.bz2
%doc %_docdir/HTML/ru/kformula/*.docbook

%doc %_docdir/HTML/ru/kivio/common
%doc %_docdir/HTML/ru/kivio/*.bz2

%doc %_docdir/HTML/ru/kpresenter/common
%doc %_docdir/HTML/ru/kpresenter/*.bz2

%doc %_docdir/HTML/ru/kspread/common
%doc %_docdir/HTML/ru/kspread/*.bz2
%doc %_docdir/HTML/ru/kspread/*.docbook

%doc %_docdir/HTML/ru/kugar/common
%doc %_docdir/HTML/ru/kugar/*.bz2

%doc %_docdir/HTML/ru/kword/common
%doc %_docdir/HTML/ru/kword/*.bz2



%dir %_datadir/locale/
%dir %_datadir/locale/ru/
#
#
%dir %_datadir/locale/ru/LC_MESSAGES/
%_datadir/locale/ru/LC_MESSAGES/*.mo


%changelog
* Mon Oct 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.2-1mdk
- 1.4.2

* Fri Aug 12 2005 Laurent MONTEL <lmontel@mandriva.com> 20mdk
- Remove conflict with kde-i18n

* Thu Jul 28 2005 Laurent MONTEL <lmontel@mandriva.com> 10mdk
- Fix provides koffice-l10n

* Mon Jul 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.1-1mdk
- 1.4.1

* Fri Jun 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.0-1mdk
- 1.4.0

* Wed Nov 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-1mdk
- 1.3.5

* Wed Oct 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.4-1mdk
- 1.3.4

* Tue Sep 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.3-1mdk
- 1.3.3

* Tue May  4 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1

* Tue Jan 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-1mdk
- 1.3

* Fri Dec 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.rc2.1mdk
- rc2

* Fri Nov 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.rc1.2mdk
- Fix buildrequires

* Wed Oct 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.rc1.1mdk
- 1.3

* Wed Oct 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.rc1.1mdk
- 1.3

* Sat Sep 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta4.1mdk
- 1.3

* Sat Aug 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta3.1mdk
- 1.3

* Wed Jul 16 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.beta2.2mdk
- buildrequires
- macroize

* Thu Jun 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta2.1mdk
- beta2 

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta1.1mdk
- 1.3-beta1
* Thu Mar 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-2mdk
- Fix spell requires

* Fri Dec 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Tue Oct 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-2mdk
- fix group

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- final

* Wed Sep 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.rc1.2mdk
- Require koffice

* Thu Aug 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.rc1.1mdk
- RC1

* Wed Jun 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta2.1mdk
- 1.2beta2

* Tue Dec 11 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-1mdk
- koffice 1.1.1

* Tue Aug 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-1mdk
- koffice 1.1 

